$viewswitcher_item_width:96px;
$viewswitcher_height:46px;

// view switcher
.view-switcher {
	height: $viewswitcher_height;
	width: auto;
	text-align: center;
	display: block;

	a {
		padding: 6px 12px;
		height: calc(#{$viewswitcher_height} - 12px);
		min-width: $viewswitcher_item_width;
		color: $fg_color !important;
		display: inline-block;

		.icon {
			display: inline-block !important;
			margin: 8px 0;
		}

		span {
			display: inline-block !important;
			margin: 0 8px;
			line-height: calc(#{$viewswitcher_height} - 12px);
		}

		&:active,
		&.active {
			background-color:darken($bg_color, 15%);
			box-shadow: inset 1px 0 0 0 $borders_color, inset -1px 0 0 0 $borders_color;
		}

		&:hover:not(.active) {
			box-shadow: inset 0 $viewswitcher_height 0 0 rgba(255,255,255,0.3);
		}
	}
}

@media only screen and (max-width:640px) {

	.view-switcher {
		display: flex;
		flex-direction: row;

		a {
			width: auto;
			min-width:  auto;
			flex-grow: 1;

			.icon {
				display: block !important;
				margin: 0 auto;
			}

			span {
				display: block !important;
				margin: 4px auto;
				font-size: smaller;
				line-height: 1;
			}
		}
	}
}